Introduction

This document lists changes made to the Progress API/SPI.


Index of APIs

Incompatible changes by date

Fuller descriptions of all changes can be found below (follow links).

Not all deprecations are listed here, assuming that the deprecated APIs continue to essentially work. For a full deprecation list, please consult the Javadoc.

All changes by date

Changes by version

These API specification versions may be used to indicate that a module requires a certain API feature in order to function. For example, if you see here a feature you need which is labelled 1.20, your manifest should contain in its main attributes the line:

OpenIDE-Module-Module-Dependencies: org.netbeans.api.progress > 1.20

Changes by affected class

org.netbeans.spi.scripting.EngineProvider

org.netbeans.api.scripting.Scripting


Details of all changes by API and date


Scripting API

Scripting is now a builder!

Jun 1 '19; API spec. version: 1.2; affected top-level classes: Scripting EngineProvider; made by: jtulach
Use Scripting.newBuilder().build() to obtain enhanced and secured version of ScriptEngineManager.

Initial version of Scripting API

Feb 1 '19; API spec. version: 1.0; affected top-level classes: Scripting EngineProvider; made by: jtulach
Use Scripting.createManager() to obtain enhanced version of ScriptEngineManager that can work well with GraalVM languages registered via EngineProvider